import { SyncWorkspace } from '../../agent-utils/index.js';
import { LocalCollection } from './LocalCollection.js';
import { EmbeddingApi } from './EmbeddingApi.js';
import { BaseDocumentMetadata } from './LocalDocument.js';
export declare class LocalVectorDB {
    private workspace;
    private uri;
    private embeddingApi;
    constructor(workspace: SyncWorkspace, uri: string, embeddingApi: EmbeddingApi);
    addCollection<TMetadata extends BaseDocumentMetadata = BaseDocumentMetadata>(name: string): LocalCollection<TMetadata>;
    removeCollection(name: string): void;
    listCollections<TMetadata extends BaseDocumentMetadata = BaseDocumentMetadata>(): LocalCollection<TMetadata>[];
}
